Package com.castlabs.sdk.viisights

# Class ViisightModel

java.lang.Object
com.castlabs.sdk.viisights.ViisightModel

public class ViisightModel extends Object
Represents the model for Viisight, containing scenes and hotspots.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Hotspot[]`
  `hotspots`
  An array of Hotspot objects representing the hotspots in the Viisight model.
  `final Scene[]`
  `scenes`
  An array of Scene objects representing the scenes in the Viisight model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ViisightModel(Scene[] scenes, Hotspot[] hotspots)`
  Constructs a ViisightModel with the given scenes and hotspots.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Scene>`
  `getScenes(long positionMs)`
  Retrieves a list of scenes that are visible at the specified position in milliseconds.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### scenes

    public final Scene[] scenes
    An array of Scene objects representing the scenes in the Viisight model.

  - ### hotspots

    public final Hotspot[] hotspots
    An array of Hotspot objects representing the hotspots in the Viisight model.

- ## Constructor Details

  - ### ViisightModel

    public ViisightModel(Scene[] scenes, Hotspot[] hotspots)
    Constructs a ViisightModel with the given scenes and hotspots.
    Parameters:
      `scenes` - An array of Scene objects representing the scenes.
      `hotspots` - An array of Hotspot objects representing the hotspots.

- ## Method Details

  - ### getScenes

    public List<Scene> getScenes(long positionMs)
    Retrieves a list of scenes that are visible at the specified position in milliseconds.
    Parameters:
      `positionMs` - The position in milliseconds to check for visible scenes.
    Returns:
      A list of Scene objects that are visible at the specified position.